Package twisted :: Package im :: Module gtkchat :: Class GroupConversation

[frames | no frames]

## Class GroupConversation

    InputOutputWindow --+
                        |
                       GroupConversation

Method Summary
| `__init__(self, group)`
| `_cacheColorHash(self, name)`
| `_cbTextSent(self, result, text, metadata)`
| `_doGroupAction(self, evt, method)`
| `_doPersonAction(self, evt, method)`
| `_doTargetAction(self, evt, method, person)`
| `getTitle(self)`
| `hidden(self, w)`
| `memberChangedNick(self, member, newnick)`
| `memberJoined(self, member)`
| `memberLeft(self, member)`
| `on_AddContactButton_clicked(self, b)`
| `on_HideButton_clicked(self, b)`
| `on_LeaveButton_clicked(self, b)`
| `on_ParticipantList_select_row(self, w, row, column, event)`
| `on_ParticipantList_unselect_row(self, w, row, column, event)`
| `on_TopicEntry_activate(self, e)`
| `on_TopicEntry_focus_out_event(self, w, e)`
| `refreshMemberList(self)`
| `sendText(self, text)`
| `setGroupMembers(self, members)`
| `setTopic(self, topic, author)`
| `showGroupMessage(self, sender, text, metadata)`
| ``tabComplete`(self, word)` InputOutputWindow calls me when tab is pressed.
Inherited from InputOutputWindow
| ``getCurrentWord`(self, entry)`
| ``handle_key_press_event`(self, entry, event)`
| ``hide`(self)`
| ``historyDown`(self)`
| ``historyUp`(self)`
| ``show`(self)`

Method Details

### tabComplete(self, word)

InputOutputWindow calls me when tab is pressed.

  Overrides:
    `twisted.im.gtkcommon.InputOutputWindow.tabComplete`

Generated by Epydoc 2.0 on Sat May 15 20:08:24 2004 | http://epydoc.sf.net